/*
 *	Definitions of chromosome colors for Synteny displays
 */

/* Copyright (C) 2003 The Regents of the University of California 
 * See README in this or parent directory for licensing information. */
#ifndef CHROM_COLORS_H
#define CHROM_COLORS_H

#define	CHROM_1_R	0x99
#define	CHROM_1_G	0x66
#define	CHROM_1_B	0x00

#define	CHROM_2_R	0x66
#define	CHROM_2_G	0x66
#define	CHROM_2_B	0x00

#define	CHROM_3_R	0x99
#define	CHROM_3_G	0x99
#define	CHROM_3_B	0x1e

#define	CHROM_4_R	0xcc
#define	CHROM_4_G	0x00
#define	CHROM_4_B	0x00

#define	CHROM_5_R	0xff
#define	CHROM_5_G	0x00
#define	CHROM_5_B	0x00

#define	CHROM_6_R	0xff
#define	CHROM_6_G	0x00
#define	CHROM_6_B	0xcc

#define	CHROM_7_R	0xff
#define	CHROM_7_G	0xcc
#define	CHROM_7_B	0xcc

#define	CHROM_8_R	0xff
#define	CHROM_8_G	0x99
#define	CHROM_8_B	0x00

#define	CHROM_9_R	0xff
#define	CHROM_9_G	0xcc
#define	CHROM_9_B	0x00

#define	CHROM_10_R	0xff
#define	CHROM_10_G	0xff
#define	CHROM_10_B	0x00

#define	CHROM_11_R	0xcc
#define	CHROM_11_G	0xff
#define	CHROM_11_B	0x00

#define	CHROM_12_R	0x00
#define	CHROM_12_G	0xff
#define	CHROM_12_B	0x00

#define	CHROM_13_R	0x35
#define	CHROM_13_G	0x80
#define	CHROM_13_B	0x00

#define	CHROM_14_R	0x00
#define	CHROM_14_G	0x00
#define	CHROM_14_B	0xcc

#define	CHROM_15_R	0x66
#define	CHROM_15_G	0x99
#define	CHROM_15_B	0xff

#define	CHROM_16_R	0x99
#define	CHROM_16_G	0xcc
#define	CHROM_16_B	0xff

#define	CHROM_17_R	0x00
#define	CHROM_17_G	0xff
#define	CHROM_17_B	0xff

#define	CHROM_18_R	0xcc
#define	CHROM_18_G	0xff
#define	CHROM_18_B	0xff

#define	CHROM_19_R	0x99
#define	CHROM_19_G	0x00
#define	CHROM_19_B	0xcc

#define	CHROM_20_R	0xcc
#define	CHROM_20_G	0x33
#define	CHROM_20_B	0xff

#define	CHROM_21_R	0xcc
#define	CHROM_21_G	0x99
#define	CHROM_21_B	0xff

#define	CHROM_22_R	0x66
#define	CHROM_22_G	0x66
#define	CHROM_22_B	0x66

#define	CHROM_X_R	0x99
#define	CHROM_X_G	0x99
#define	CHROM_X_B	0x99

#define	CHROM_Y_R	0xcc
#define	CHROM_Y_G	0xcc
#define	CHROM_Y_B	0xcc

#define	CHROM_M_R	0xcc
#define	CHROM_M_G	0xcc
#define	CHROM_M_B	0x99

#define	CHROM_Un_R	0x79
#define	CHROM_Un_G	0xcc
#define	CHROM_Un_B	0x3d

/* scaffold color scheme, from http://mbostock.github.io/protovis/docs/color.html
 *  for the simple purpose of categorical/ordinal organization.  Ten colors:
 *  #1f77b4", "#ff7f0e", "#2ca02c", "#d62728", "#9467bd",
 * "#8c564b", "#e377c2", "#7f7f7f", "#bcbd22", "#17becf"
 *    blue, orange, green, red, purple
 *   brown, pink, grey, pale green, cyan
 */
#define SCAF_COLORS	10

#define SCAF1_R	0x1f
#define SCAF1_G	0x77
#define SCAF1_B	0xb4

#define SCAF2_R	0xff
#define SCAF2_G	0x7f
#define SCAF2_B	0x0e

#define SCAF3_R	0x2c
#define SCAF3_G	0xa0
#define SCAF3_B	0x2c

#define SCAF4_R	0xd6
#define SCAF4_G	0x27
#define SCAF4_B	0x28

#define SCAF5_R	0x94
#define SCAF5_G	0x67
#define SCAF5_B	0xbd

#define SCAF6_R	0x8c
#define SCAF6_G	0x56
#define SCAF6_B	0x4b

#define SCAF7_R	0xe3
#define SCAF7_G	0x77
#define SCAF7_B	0xc2

#define SCAF8_R	0x7f
#define SCAF8_G	0x7f
#define SCAF8_B	0x7f

#define SCAF9_R	0xbc
#define SCAF9_G	0xbd
#define SCAF9_B	0x22

#define SCAF10_R	0x17
#define SCAF10_G	0xbe
#define SCAF10_B	0xcf

#endif

